//g++ -o show show.cpp -lGL -lglut -O2

#include <algorithm>
#include <iostream>
#include <fstream>
#include <GL/glut.h>
#define MX 50000005

using namespace std;

int data[MX], len;

void g_draw_line(double x1, double y1, double x2, double y2)
{
	glBegin(GL_LINES);
	{
		glVertex2f(x1, y1);
		glVertex2f(x2, y2);
	}
	glEnd();
}

void show()
{
	glEnable(GL_BLEND);
	glEnable(GL_LINE_SMOOTH);
	glHint(GL_LINE_SMOOTH_HINT, GL_FASTEST);  // Antialias the lines
	glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA); 
	glColor3f(0.0f, 1.0f, 1.0f);
	int cnt = 0, STEP = max((int)(len / 3000), 1);
	double delta = STEP*2.0/len, glbmax = max(*max_element(data + 1, data + 1 + len), -*min_element(data + 1, data + 1 + len));
	for(double i=-1.0; i<=1.0; i+=delta)
	{
		double mx = *max_element(data + cnt + 1, data + cnt + STEP + 1), mn = *min_element(data + cnt + 1, data + cnt + STEP + 1);
		g_draw_line(i, 0, i, 1.0*mx/glbmax);
		g_draw_line(i, 0, i, 1.0*mn/glbmax);
		cnt += STEP;
	}
}

void display()
{
	glClearColor(0.0f,0.0f,0.0f,0.1f);
	glClear(GL_COLOR_BUFFER_BIT);
	//glOrtho(0.0, 100.0, -100.0, 100.0, -1.0, 1.0);
	show();
	glutSwapBuffers();
}

void idle()
{
	glClear(GL_COLOR_BUFFER_BIT);
	//glOrtho(0.0, 100.0, -100.0, 100.0, -1.0, 1.0);
	show();
	glutSwapBuffers();
}

void g_init_window()
{
	glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE);
	glutInitWindowPosition(100,100);
	glutInitWindowSize(1800,900);
	glutCreateWindow("Furier");
	glutDisplayFunc(&display);
	glutIdleFunc(&idle);
	glutMainLoop();
}

void get_data()
{
	int tmp;
	while(~scanf("%d", &tmp)) data[++len] = tmp;
	printf("%d\n", len);
}

int main(int argc, char* argv[])
{
	get_data();
	glutInit(&argc, argv);
	g_init_window();
	return 0;
}
